<?php
/*
	Plugin Name: Google Interactive Maps Lite
	Plugin URI: http://www.edarco.net/google-interactive-maps/
	Description: Google Interactive Maps Lite - WordPress Plugin for creating interactive maps. Plugin is a Lite version of Google Interactive Maps Plugin.
	Version: 1.1
	Author: edarco
	Author URI: http://www.edarco.net
*/

//	Modified: 28.04.2014
//	Created: 07.04.2014



global $wpdb;
global $gmtblite;
$gmtblite = $wpdb->prefix . "gimaps_lite";
$gmdblite = "1.0";

function gimaps_lite_activate() {

global $wpdb;
global $gmdblite;	
global $gmtblite;

if (!empty ($wpdb->charset))
$charset_collate = "DEFAULT CHARACTER SET {$wpdb->charset}";
if (!empty ($wpdb->collate))
$charset_collate .= " COLLATE {$wpdb->collate}";

$sql = "CREATE TABLE " . $gmtblite . " (
`id` INT(11) NOT NULL AUTO_INCREMENT,
`mn` VARCHAR(255) DEFAULT NULL,
`mw` INT(11) NOT NULL,
`mh` INT(11) NOT NULL,
`mb` VARCHAR(7) DEFAULT NULL,
`bc` VARCHAR(7) DEFAULT NULL,
`bs` INT(11) NOT NULL,
`ic` VARCHAR(7) DEFAULT NULL,
`tc` VARCHAR(7) DEFAULT NULL,
`ms` INT(11) NOT NULL,
`mr` VARCHAR(100) DEFAULT NULL,
`ml` VARCHAR(100) DEFAULT NULL,
`dr` MEDIUMTEXT NULL DEFAULT NULL,
`dt` MEDIUMTEXT NULL DEFAULT NULL,
`do` MEDIUMTEXT NULL DEFAULT NULL,
`dc` MEDIUMTEXT NULL DEFAULT NULL,
`cr` TIMESTAMP NULL DEFAULT CURRENT_TIMESTAMP,
PRIMARY KEY (id)
) {$charset_collate};";

if ($wpdb->get_var("show tables like '$gmtblite'") != $gmtblite) {
require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql);
add_option("gmdb_lite", $gmdblite);
}

if (get_site_option('gmdb_lite') != $gmdblite) {
require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
dbDelta($sql);
update_option( "gmdb_lite", $gmdblite );
}

}




function gimaps_lite_deactivate() {
$data = get_option('gimaps_lite');
$data = update_option('gimaps_lite', $data);
}
register_activation_hook(__FILE__, 'gimaps_lite_activate');
register_deactivation_hook(__FILE__, 'gimaps_lite_deactivate');

function gmdb_check_lite() {
global $gmdblite;
if (get_site_option('gmdb_lite') != $gmdblite) {
gimaps_lite_activate();
}
}
add_action('plugins_loaded', 'gmdb_check_lite');

function shortgimap_lite( $atts ) {
return gengimap_lite($atts['id'],'sc');
}

function create_gimap_lite($id) {
gengimap_lite($id,'tpl');
}


add_shortcode('gimap_lite', 'shortgimap_lite');
add_filter('widget_text', 'do_shortcode');
add_filter( 'the_excerpt', 'do_shortcode');



function gengimap_lite($id,$from) {


wp_enqueue_script( 'visualization', plugins_url( 'js/visualization.js' , __FILE__ ), array(), '1.0.0', true);

global $wpdb;
global $gmtblite;
$gdata = $wpdb->get_row("SELECT * FROM $gmtblite WHERE id = $id", ARRAY_A);

if ($from == "sc") { ob_start(); }

echo "<script type=\"text/javascript\">
function gm_dV(){
var data = google.visualization.arrayToDataTable([
['Country','Value',{type:'string',role:'tooltip'}]";

$dr =  unserialize($gdata['dr']);
$dt =  unserialize($gdata['dt']);
$do =  unserialize($gdata['do']);
$dc =  unserialize($gdata['dc']);

if (isset($dr) && $dr!="") {

$colors = "";

for ($i=0;$i<count($dr);$i++) {

echo ",\n[{v:'".trim(htmlspecialchars(stripslashes($dr[$i]),ENT_QUOTES))."',f:'".trim(htmlspecialchars(stripslashes($dt[$i]),ENT_QUOTES))."'},".$i.",'".str_replace("\r\n",'\n',$do[$i])."']";

$colors .= ($colors == "") ? "'".trim(htmlspecialchars(stripslashes($dc[$i]),ENT_QUOTES))."'" : ",'".trim(htmlspecialchars(stripslashes($dc[$i]),ENT_QUOTES))."'";

}

}

echo "\n]);\n";

$maxvalue = count($dr)-1;
$mw = $gdata['mw'];
$mh = $gdata['mh'];

echo "var options={
backgroundColor:{ fill:'".$gdata['mb']."' },
colorAxis:{ minValue:0, maxValue:".$maxvalue."".(isset($colors)?", colors:[".$colors."]":"")." },
legend:'none',
datalessRegionColor:'".$gdata['ic']."',
displayMode:'markers',
enableRegionInteractivity:'true',
resolution:'".$gdata['ml']."',
sizeAxis: { minValue:0, maxValue:".$maxvalue.", minSize:".$gdata['ms'].", maxSize:".$gdata['ms']." },
region:'".$gdata['mr']."',
width: ".$mw.",
height: ".$mh.",
tooltip: { textStyle: { color: '".$gdata['tc']."' }, trigger: 'focus' }
};
var chart=new google.visualization.GeoChart(document.getElementById('gm_vis'));
chart.draw(data,options);
}

window.addEventListener('load', gm_dV, false);
</script>

<div id='gm_visb' style = 'width:".$mw."px; height:".$mh."px; border: ".$gdata["bs"]."px solid ".$gdata["bc"]."; overflow:hidden; position:relative;' >
<div id='gm_vis'></div>
</div>\n";

if ($from == "sc") { return ob_get_clean(); }

}




function gimaps_lite_includes() {
wp_enqueue_style('gimaps_lite_css', plugins_url('style.css', __FILE__), array(), '1.0.0', 'all');
wp_enqueue_script( 'jquery' );
wp_enqueue_script( 'jsapi', 'http://www.google.com/jsapi');
wp_enqueue_script( 'jsgeo', 'http://maps.google.com/maps/api/js?sensor=false&libraries=places',array(),false,false);
wp_enqueue_script( 'jscolor', plugins_url( 'js/jscolor.js' , __FILE__ ) );
wp_enqueue_script( 'functions', plugins_url( 'js/functions.js' , __FILE__ ) );

}

function gimaps_lite_admin() {
if (current_user_can('manage_options')) {
$menu_page = add_menu_page('Google Interactive Maps Lite', 'GiMaps Lite', 'manage_options', 'gmmenulite', 'gimaps_lite_manage', plugins_url('img/world-icon.png', __FILE__));
add_submenu_page('gmmenulite', 'Google Interactive Maps Lite', 'Manage Maps', 'manage_options', 'gmmenulite', 'gimaps_lite_manage');
if(isset($_POST['id'])) $page_title = 'Edit Map '.$_POST['id'];
else if(isset($_GET['edit'])) $page_title = 'Edit Map '.$_GET['edit'];
else $page_title = 'Create Map';
$create_page = add_submenu_page('gmmenulite', $page_title, 'Create Map', 'manage_options', 'gmcreatelite', 'gimaps_lite_new');
add_action($create_page, 'gimaps_lite_includes');
}
}
add_action('admin_menu', 'gimaps_lite_admin');

function gimaps_lite_scripts() {
wp_enqueue_script( 'jsapifull', 'http://www.google.com/jsapi');
}
add_action('wp_enqueue_scripts', 'gimaps_lite_scripts');

function gimaps_lite_manage() {
wp_register_style('gimaps_lite_css', plugins_url('style.css', __FILE__), array(), '1.0.0', 'all');
wp_enqueue_style('gimaps_lite_css');
global $message;
if(isset($_GET['delete'])) {
delete_gimaps_lite($_GET['delete']);
$message = "Map Deleted";
}
$gmtblitet = new gimaps_lite_manage_table();   
$gmtblitet->prepare_items();
echo "<div class='wrap'>
<header>
<img src='".plugins_url( 'img/world.png', __FILE__ )."' class='logo' alt='Google Interactive Maps Lite'>
<span>Google Interactive Maps Lite</span>
</header>
<div class='ablock'>
<a class='doc button-primary' href='http://codecanyon.net/item/google-interactive-maps/7056920?ref=edarco' target='_blank'>Get FULL version</a>
<a class='vdoc button-primary' href='http://www.edarco.net/google-interactive-maps/lite-vs-full-version/' target='_blank'>LITE vs FULL</a>
</div>
<p class='submit'>
<a href='".$_SERVER['PHP_SELF']."?page=gmcreatelite' class='button-primary'>Create Map</a>
</p>".($message!=""?"<div id='message' class='updated'><p>".$message."</p></div>":"")."

<form id='movies-filter' method='get'>
<input type='hidden' name='page' value='".$_REQUEST['page']."' />";
$gmtblitet->display();
echo "</form>
<p class='submit'>
<a href='".$_SERVER['PHP_SELF']."?page=gmcreatelite' class='button-primary'>Create Map</a>
</p>
</div>";
}

if(!class_exists('WP_List_Table')) require_once( ABSPATH . 'wp-admin/includes/class-wp-list-table.php' );
class gimaps_lite_manage_table extends WP_List_Table {
   function __construct(){
        global $status, $page;
        parent::__construct( array(
            'singular'  => 'map',
            'plural'    => 'maps',
            'ajax'      => false
        ) );
    }
	
  function no_items() {
    _e( 'No maps found.' );
  }
  function column_default($item, $column_name){
	switch($column_name){
		case 'id': return "[gimap_lite id='".$item['id']."']";
		case 'name': return $item['mn'];
		case 'date': return $item['cr'];
		case 'edit': return '<a href="?page=gmcreatelite&edit='.$item['id'].'">Edit</a>';
		case 'delete': return '<a href="?page=gmmenulite&delete='.$item['id'].'" onclick="return confirm(\'Sure to delete?\');">Delete</a>';
		default: return $item[$column_name]; 
        }
    }
   function get_sortable_columns() {
        $sortable_columns = array(
            'name' => array('mn',false),
            'id' => array('id',false),
			'date' => array('cr',true)
        );
        return $sortable_columns;
    }	
   function get_columns(){
        $columns = array(
            'cb' => '<input type="checkbox" />', 
            'name' => 'Name',
            'id' => 'Shortcode',
			'date' => 'Date',
			'edit' => 'Edit',
			'delete' => 'Delete'
        );
        return $columns;
    }	
   function column_cb($item){
        return sprintf(
		'<input type="checkbox" name="map[]" value="%s" />', $item['id']
        );
    }
   function get_bulk_actions() {
        $actions = array(
            'bulk-delete'    => 'Delete'
        );
        return $actions;
    }
   function process_bulk_action() {
       if( 'bulk-delete'===$this->current_action() ) {
			foreach($_GET['map'] as $map) {
			delete_gimaps_lite($map);	
			}
		global $message;
		$message = "Map(s) Deleted";
        }        
    }
   function prepare_items() {
        $columns = $this->get_columns();
        $hidden = array();
        $sortable = $this->get_sortable_columns();     
        $this->_column_headers = array($columns, $hidden, $sortable);  
        $per_page = 50;
        $this->process_bulk_action(); 
	    global $wpdb;
        global $gmtblite;
		$orderby = (!empty($_REQUEST['orderby'])) ? $_REQUEST['orderby'] : 'cr';
		$order = (!empty($_REQUEST['order'])) ? $_REQUEST['order'] : 'desc';
		$query = "SELECT * FROM " .$gmtblite. " ORDER BY ".$orderby." ".$order;
		$data = $wpdb->get_results($query, ARRAY_A);     
        $current_page = $this->get_pagenum();        
        $total_items = count($data);     
        $data = array_slice($data,(($current_page-1)*$per_page),$per_page);        
        $this->items = $data;      
        $this->set_pagination_args( array(
            'total_items' => $total_items,                  
            'per_page'    => $per_page,                     
            'total_pages' => ceil($total_items/$per_page)   
        ) );
    }
}

function delete_gimaps_lite($id) {
	global $wpdb;
	global $gmtblite;
	$wpdb->query(
	$wpdb->prepare("DELETE FROM $gmtblite WHERE id = %d",$id)
	);
}


function gimaps_lite_new() {

if(isset($_POST['id'])) {
global $wpdb;

$map_array = array();

$settings = array('mn','mw','mh','mb','bc','bs','ic','tc','ms','mr','ml');
$settings_array = array('dr'=>'region','dt'=>'title','do'=>'tooltip','dc'=>'color');

foreach($settings AS $key) {
if (isset($_POST[$key])) $map_array[$key] = stripslashes_deep($_POST[$key]);
else $map_array[$key] = "";
}
foreach($settings_array AS $key => $val) {
if (isset($_POST[$val])) $map_array[$key] = serialize($_POST[$val]);
else $map_array[$key] = "";
}
$id = $_POST['id'];

global $gmtblite;

if ($id == 0) {
if($wpdb->insert(
$gmtblite, 
$map_array
) == false) {
$message = "Plugin encountered an error";	
}
$id = $wpdb->insert_id;			
}
else if($id > 0) {
if($wpdb->update( 
$gmtblite, 
$map_array
,array( 'id' => $id )) == false) {
$message = "Plugin encountered an error";	
}
}

}

if (!isset($id)) $id = (isset($_GET['edit'])) ? $_GET['edit'] : 0;
formgimap_lite($id);
}



function formgimap_lite($id) {
if($id == 0) {
$mn="";$mw="600";$mh="400";$mb="#FFFFFF";$bc="#DFDFDF";$bs="1";$ic="#f5f5f5";$tc="#444444";$ms="10";$mr="";$ml="";
} else if($id > 0) {
global $wpdb;global $gmtblite;
$gdata = $wpdb->get_row("SELECT * FROM $gmtblite WHERE id = $id", ARRAY_A);  	
$mn = $gdata['mn'];$mw = $gdata['mw'];$mh = $gdata['mh'];$mb = $gdata['mb'];$bc = $gdata['bc'];$bs =  $gdata['bs']; $ic = $gdata['ic'];$tc = $gdata['tc'];$ms = $gdata['ms'];$mr = $gdata['mr'];$ml = $gdata['ml'];$dr =  unserialize($gdata['dr']);$dt =  unserialize($gdata['dt']);$do =  unserialize($gdata['do']);$dc =  unserialize($gdata['dc']);
}
?>
<div class="wrap" >

<header>
<img src="<?php echo plugins_url( 'img/world.png', __FILE__ ); ?>" class="logo" alt="Google Interactive Maps Lite">
<span>Google Interactive Maps Lite</span>
</header>

<?php if ($id > 0) { ?><div id="gm-message">Shortcode: <span>[gimap_lite id='<?php echo $id; ?>']</span>, Template code: <span>&lt;?php create_gimap_lite(<?php echo $id; ?>); ?&gt;</span>.</div><?php } ?>
<div class='ablock'>
<a class="doc button-primary" href="http://codecanyon.net/item/google-interactive-maps/7056920?ref=edarco" target="_blank">Get FULL version</a>
<a class="vdoc button-primary" href="http://www.edarco.net/google-interactive-maps/lite-vs-full-version/" target="_blank">LITE vs FULL</a>
</div>
<form method="post">
<input name="id" type="hidden" value="<?php echo $id; ?>" />

<p class="submit">
<input type="submit" class="button-primary" value="Save" />
</p>

<div class="line">
<label for="mn">Map manage name</label>
<input type="text" name="mn" id="mn" value="<?php echo $mn; ?>" >
</div>

<div class="clear"></div>
<div id="main">

<div id='tab-container'>

<div id="tab-container-header" class="tab-header">
<ul class="tab-list">
<li id="tab-container-tab-0"><a href="javascript://" class="tab-item tab-active" onclick="aTab(0)">Map Data</a></li>
<li id="tab-container-tab-1"><a href="javascript://" class="tab-item" onclick="aTab(1)">Settings</a></li>
</ul>
</div>

<div style="display: block;" class="tab-content">

<div id="map-settings">

<div class="map_row">

<label for="mr">Display Map</label>
<input type="hidden" value="<?php echo $mr; ?>" id="mr_value">
<select name="mr" id="mr" onchange="gm_rcheck('region')">
<option value="world">World</option>
<option value="002">Africa</option>
<option value="014">Africa - Eastern Africa</option>
<option value="017">Africa - Middle Africa</option>
<option value="015">Africa - Northern Africa</option>
<option value="018">Africa - Southern Africa</option>
<option value="011">Africa - Western Africa</option>
<option value="019">Americas</option>
<option value="029">Americas - Caribbean</option>
<option value="013">Americas - Central America</option>
<option value="021">Americas - Northern America</option>
<option value="005">Americas - South America</option>
<option value="142">Asia</option>
<option value="143">Asia - Central Asia</option>
<option value="030">Asia - Eastern Asia</option>
<option value="035">Asia - South-Eastern Asia</option>
<option value="034">Asia - Southern Asia</option>
<option value="145">Asia - Western Asia</option>
<option value="150">Europe</option>
<option value="151">Europe - Eastern Europe</option>
<option value="154">Europe - Northern Europe</option>
<option value="039">Europe - Southern Europe</option>
<option value="155">Europe - Western Europe</option>
<option value="009">Oceania</option>
<option value="053">Oceania - Australia and New Zealand</option>
<option value="054">Oceania - Melanesia</option>
<option value="057">Oceania - Micronesia</option>
<option value="061">Oceania - Polynesia</option>
<option value="AF">Afghanistan</option>
<option value="AX">Aland Islands</option>
<option value="AL">Albania</option>
<option value="DZ">Algeria</option>
<option value="AS">American Samoa</option>
<option value="AD">Andorra</option>
<option value="AO">Angola</option>
<option value="AI">Anguilla</option>
<option value="AG">Antigua and Barbuda</option>
<option value="AR">Argentina</option>
<option value="AM">Armenia</option>
<option value="AW">Aruba</option>
<option value="AU">Australia</option>
<option value="AT">Austria</option>
<option value="AZ">Azerbaijan</option>
<option value="BS">Bahamas</option>
<option value="BH">Bahrain</option>
<option value="BD">Bangladesh</option>
<option value="BB">Barbados</option>
<option value="BY">Belarus</option>
<option value="BE">Belgium</option>
<option value="BZ">Belize</option>
<option value="BJ">Benin</option>
<option value="BM">Bermuda</option>
<option value="BT">Bhutan</option>
<option value="BO">Bolivia, Plurinational State Of</option>
<option value="BQ">Bonaire, Sint Eustatius and Saba</option>
<option value="BA">Bosnia and Herzegovina</option>
<option value="BW">Botswana</option>
<option value="BV">Bouvet Island</option>
<option value="BR">Brazil</option>
<option value="IO">British Indian Ocean Territory</option>
<option value="BN">Brunei Darussalam</option>
<option value="BG">Bulgaria</option>
<option value="BF">Burkina Faso</option>
<option value="BI">Burundi</option>
<option value="CI">Cote D'Ivoire</option>
<option value="KH">Cambodia</option>
<option value="CM">Cameroon</option>
<option value="CA">Canada</option>
<option value="CV">Cape Verde</option>
<option value="KY">Cayman Islands</option>
<option value="CF">Central African Republic</option>
<option value="TD">Chad</option>
<option value="CL">Chile</option>
<option value="CN">China</option>
<option value="CX">Christmas Island</option>
<option value="CC">Cocos (Keeling) Islands</option>
<option value="CO">Colombia</option>
<option value="KM">Comoros</option>
<option value="CG">Congo</option>
<option value="CD">Congo, The Democratic Republic Of The</option>
<option value="CK">Cook Islands</option>
<option value="CR">Costa Rica</option>
<option value="HR">Croatia</option>
<option value="CU">Cuba</option>
<option value="CW">Curacao</option>
<option value="CY">Cyprus</option>
<option value="CZ">Czech Republic</option>
<option value="DK">Denmark</option>
<option value="DJ">Djibouti</option>
<option value="DM">Dominica</option>
<option value="DO">Dominican Republic</option>
<option value="EC">Ecuador</option>
<option value="EG">Egypt</option>
<option value="SV">El Salvador</option>
<option value="GQ">Equatorial Guinea</option>
<option value="ER">Eritrea</option>
<option value="EE">Estonia</option>
<option value="ET">Ethiopia</option>
<option value="FK">Falkland Islands (Malvinas)</option>
<option value="FO">Faroe Islands</option>
<option value="FJ">Fiji</option>
<option value="FI">Finland</option>
<option value="FR">France</option>
<option value="GF">French Guiana</option>
<option value="PF">French Polynesia</option>
<option value="TF">French Southern Territories</option>
<option value="GA">Gabon</option>
<option value="GM">Gambia</option>
<option value="GE">Georgia</option>
<option value="DE">Germany</option>
<option value="GH">Ghana</option>
<option value="GI">Gibraltar</option>
<option value="GR">Greece</option>
<option value="GL">Greenland</option>
<option value="GD">Grenada</option>
<option value="GP">Guadeloupe</option>
<option value="GU">Guam</option>
<option value="GT">Guatemala</option>
<option value="GG">Guernsey</option>
<option value="GN">Guinea</option>
<option value="GW">Guinea-Bissau</option>
<option value="GY">Guyana</option>
<option value="HT">Haiti</option>
<option value="HM">Heard and McDonald Islands</option>
<option value="VA">Holy See (Vatican City State)</option>
<option value="HN">Honduras</option>
<option value="HK">Hong Kong</option>
<option value="HU">Hungary</option>
<option value="IS">Iceland</option>
<option value="IN">India</option>
<option value="ID">Indonesia</option>
<option value="IR">Iran, Islamic Republic Of</option>
<option value="IQ">Iraq</option>
<option value="IE">Ireland</option>
<option value="IM">Isle of Man</option>
<option value="IL">Israel</option>
<option value="IT">Italy</option>
<option value="JM">Jamaica</option>
<option value="JP">Japan</option>
<option value="JE">Jersey</option>
<option value="JO">Jordan</option>
<option value="KZ">Kazakhstan</option>
<option value="KE">Kenya</option>
<option value="KI">Kiribati</option>
<option value="KP">Korea, Democratic People's Republic Of</option>
<option value="KR">Korea, Republic of</option>
<option value="KW">Kuwait</option>
<option value="KG">Kyrgyzstan</option>
<option value="LA">Lao People's Democratic Republic</option>
<option value="LV">Latvia</option>
<option value="LB">Lebanon</option>
<option value="LS">Lesotho</option>
<option value="LR">Liberia</option>
<option value="LY">Libyan Arab Jamahiriya</option>
<option value="LI">Liechtenstein</option>
<option value="LT">Lithuania</option>
<option value="LU">Luxembourg</option>
<option value="MO">Macao</option>
<option value="MK">Macedonia, FYROM</option>
<option value="MG">Madagascar</option>
<option value="MW">Malawi</option>
<option value="MY">Malaysia</option>
<option value="MV">Maldives</option>
<option value="ML">Mali</option>
<option value="MT">Malta</option>
<option value="MH">Marshall Islands</option>
<option value="MQ">Martinique</option>
<option value="MR">Mauritania</option>
<option value="MU">Mauritius</option>
<option value="YT">Mayotte</option>
<option value="MX">Mexico</option>
<option value="FM">Micronesia, Federated States Of</option>
<option value="MD">Moldova, Republic of</option>
<option value="MC">Monaco</option>
<option value="MN">Mongolia</option>
<option value="ME">Montenegro</option>
<option value="MS">Montserrat</option>
<option value="MA">Morocco</option>
<option value="MZ">Mozambique</option>
<option value="MM">Myanmar</option>
<option value="NA">Namibia</option>
<option value="NR">Nauru</option>
<option value="NP">Nepal</option>
<option value="NL">Netherlands</option>
<option value="NC">New Caledonia</option>
<option value="NZ">New Zealand</option>
<option value="NI">Nicaragua</option>
<option value="NE">Niger</option>
<option value="NG">Nigeria</option>
<option value="NU">Niue</option>
<option value="NF">Norfolk Island</option>
<option value="MP">Northern Mariana Islands</option>
<option value="NO">Norway</option>
<option value="OM">Oman</option>
<option value="PK">Pakistan</option>
<option value="PW">Palau</option>
<option value="PS">Palestinian Territory, Occupied</option>
<option value="PA">Panama</option>
<option value="PG">Papua New Guinea</option>
<option value="PY">Paraguay</option>
<option value="PE">Peru</option>
<option value="PH">Philippines</option>
<option value="PN">Pitcairn</option>
<option value="PL">Poland</option>
<option value="PT">Portugal</option>
<option value="PR">Puerto Rico</option>
<option value="QA">Qatar</option>
<option value="RE">Reunion</option>
<option value="RO">Romania</option>
<option value="RU">Russian Federation</option>
<option value="RW">Rwanda</option>
<option value="BL">Saint Barthelemy</option>
<option value="SH">Saint Helena, Ascension and Tristan Da Cunha</option>
<option value="KN">Saint Kitts And Nevis</option>
<option value="LC">Saint Lucia</option>
<option value="MF">Saint Martin</option>
<option value="PM">Saint Pierre And Miquelon</option>
<option value="VC">Saint Vincent And The Grenedines</option>
<option value="WS">Samoa</option>
<option value="SM">San Marino</option>
<option value="ST">Sao Tome and Principe</option>
<option value="SA">Saudi Arabia</option>
<option value="SN">Senegal</option>
<option value="RS">Serbia</option>
<option value="SC">Seychelles</option>
<option value="SL">Sierra Leone</option>
<option value="SG">Singapore</option>
<option value="SX">Sint Maarten (Dutch part)</option>
<option value="SK">Slovakia</option>
<option value="SI">Slovenia</option>
<option value="SB">Solomon Islands</option>
<option value="SO">Somalia</option>
<option value="ZA">South Africa</option>
<option value="GS">South Georgia and the South Sandwich Islands</option>
<option value="SS">South Sudan</option>
<option value="ES">Spain</option>
<option value="LK">Sri Lanka</option>
<option value="SD">Sudan</option>
<option value="SR">Suriname</option>
<option value="SJ">Svalbard And Jan Mayen</option>
<option value="SZ">Swaziland</option>
<option value="SE">Sweden</option>
<option value="CH">Switzerland</option>
<option value="SY">Syrian Arab Republic</option>
<option value="TW">Taiwan, Province Of China</option>
<option value="TJ">Tajikistan</option>
<option value="TZ">Tanzania, United Republic of</option>
<option value="TH">Thailand</option>
<option value="TL">Timor-Leste</option>
<option value="TG">Togo</option>
<option value="TK">Tokelau</option>
<option value="TO">Tonga</option>
<option value="TT">Trinidad and Tobago</option>
<option value="TN">Tunisia</option>
<option value="TR">Turkey</option>
<option value="TM">Turkmenistan</option>
<option value="TC">Turks and Caicos Islands</option>
<option value="TV">Tuvalu</option>
<option value="UG">Uganda</option>
<option value="UA">Ukraine</option>
<option value="AE">United Arab Emirates</option>
<option value="GB">United Kingdom</option>
<option value="US">United States</option>
<option value="UM">United States Minor Outlying Islands</option>
<option value="UY">Uruguay</option>
<option value="UZ">Uzbekistan</option>
<option value="VU">Vanuatu</option>
<option value="VE">Venezuela, Bolivarian Republic of</option>
<option value="VN">Viet Nam</option>
<option value="VG">Virgin Islands, British</option>
<option value="VI">Virgin Islands, U.S.</option>
<option value="WF">Wallis and Futuna</option>
<option value="EH">Western Sahara</option>
<option value="YE">Yemen</option>
<option value="ZM">Zambia</option>
<option value="ZW">Zimbabwe</option>
</select>

</div> 
<div class="map_row">

<label>Display Resolution</label>
<div id="radio_block">

<?php if ($mr == "" || $mr == "world" || (int)$mr > 0) { ?>
<label><input type="radio" name="ml" id="countries" value="countries" onchange="gm_rcheck()" checked />Countries</label>
<?php } else { 
if ($mr == "US") { ?>
<label><input type="radio" name="ml" id="countries" value="countries" onchange="gm_rcheck()" <?php if($ml == "countries") echo 'checked="checked"'; ?> />Country</label>
<label><input type="radio" name="ml" id="provinces" value="provinces" onchange="gm_rcheck()" <?php if($ml == "provinces") echo 'checked="checked"'; ?> />States</label>
<?php } else { ?>
<label><input type="radio" name="ml" id="countries" value="countries" onchange="gm_rcheck()" <?php if($ml == "countries") echo 'checked="checked"'; ?> />Country</label>
<?php 
$np = array("AX","AS","AI","AW","BM","BQ","BV","IO","KY","CX","CC","CK","CW","FK","FO","GF","PF","TF","GI","GP","GU","GG","HM","VA","HK","IM","JE","KE","MO","MT","MQ","YT","MC","MS","NC","NU","NF","MP","PS","PN","PR","RE","BL","MF","PM","WS","SG","SX","GS","SJ","TW","TK","TC","UM","VG","VI","WF","EH");
if (!in_array($mr, $np)) ?>
<label><input type="radio" name="ml" id="provinces" value="provinces" onchange="gm_rcheck()" <?php if($ml == "provinces") echo 'checked="checked"'; ?> />Provinces</label>
<?php } } ?>

</div>

</div> 
<div class="map_row">

<label for="dm">Display Mode</label>
<select name="dm" id="dm">
<option value="m_location">Place Name</option>
</select>

</div> 

</div>

<div id="map-data">
<div id="add_row_block">

<div class="add_new_row">
<div class="row region">
<label for="n_region"><span>Region</span>
</label>
<div id="cd_block">
<input name="n_region" id="n_region" size="15" type="text">
</div>

</div>
<div class="row title">
<label for="n_title"><span>Title</span>
</label>
<input name="n_title" id="n_title" size="15" type="text">
</div>
<div class="row tooltip">
<label for="n_tooltip">
<span>Tooltip</span>
</label>
<textarea name="n_tooltip" id="n_tooltip"></textarea>
</div>


<div class="row color">
<label for="n_color">Color</label>
<input autocomplete="off" name="n_color" id="n_color" size="15" class="color {hash:true, adjust:false}" type="text">
</div>

<div class="row add">
<span class="icon save" title="Add" onclick="gm_add();"></span>
</div>
</div>

<div id="add-table">
<div id="md_block">

<?php

if (isset($dr) && $dr!="") {

for ($i=0;$i<count($dr);$i++) {

echo '<div class="added_rows">
	<div class="row region"><span class="gm_span">'.stripslashes($dr[$i]).'</span><input name="region[]" type="text" class="hidden" value="'.stripslashes($dr[$i]).'" /></div>
	<div class="row title"><span class="gm_span">'.stripslashes($dt[$i]).'</span><input name="title[]" type="text" class="hidden" value="'.stripslashes($dt[$i]).'" /></div>
	<div class="row tooltip"><span class="gm_span">'.stripslashes($do[$i]).'</span><textarea name="tooltip[]" type="text" class="hidden" />'.stripslashes($do[$i]).'</textarea></div>
	<div class="row color" style="background-color:'.stripslashes($dc[$i]).'"><span class="gm_span">'.$dc[$i].'</span><input name="color[]" type="text" class="color  {hash:true, adjust:false} hidden" value="'.stripslashes($dc[$i]).'" /></div>
	<div class="row add">
		<span class="icon edit" title="Edit" onclick="gm_edit(this);"></span>
		<span class="icon delete" title="Delete" onclick="gm_delete(this);"></span>
		<span class="icon save hidden" title="Save" onclick="gm_update(this);"></span>
		<span class="icon cancel hidden" title="Cancel" onclick="gm_cancel(this);"></span>
	</div>
	</div>';

}
}

?>

</div>
</div>	
		
</div>
</div>

</div>

<div class="tab-content" style="display: none;">

<div id="default-settings">

<div class="line-block">

<div class="line">
<label for="mw">Width (px)</label>
<input name="mw" id="mw" onchange="gm_draw('dim');" value="<?php echo $mw; ?>" type="text">
</div>
<div class="line">
<label for="mh">Height (px)</label>
<input name="mh" id="mh" onchange="gm_draw('dim');" value="<?php echo $mh; ?>" type="text">
</div>

<div class="line">
<label for="mb">Background Color</label>
<input name="mb" id="mb" class="color {hash:true, adjust:false}" value="<?php echo $mb; ?>" onchange="gm_draw();" type="text">
</div>
<div class="line">
<label for="bc">Border Color</label>
<input name="bc" id="bc" class="color {hash:true, adjust:false}" value="<?php echo $bc; ?>" onchange="gm_draw();" type="text">
</div>
<div class="line">
<label for="bs">Border Width (px)</label>
<input name="bs" id="bs" onchange="gm_draw();" value="<?php echo $bs; ?>" type="text">
</div>
<div class="line">
<label for="ic">Inactive Region Color</label>
<input name="ic" id="ic" class="color {hash:true, adjust:false}" value="<?php echo $ic; ?>" onchange="gm_draw();" type="text">
</div>
<div class="line">
<label for="tc">Tooltip Text Color</label>
<input name="tc" id="tc" class="color {hash:true, adjust:false}" onchange="gm_draw();" value="<?php echo $tc; ?>" type="text">
</div>
<div class="line">
<label for="ms">Markers Size</label>
<input name="ms" id="ms" onchange="gm_draw();" value="<?php echo $ms; ?>" type="text">
</div>
</div>

<div class="line-block">
</div>

</div> 

</div>

</div>

<p class="submit">
<input type="submit" class="button-primary" value="Save" />
</p>

</div>
<div class="clear"></div>


</form>

<div class="setting-boxes">
<div id="visblock" style="width:<?php echo $mw; ?>px; height:<?php echo $mh; ?>px;">
<div style="position: relative;" id="visualization"></div>
</div>
</div>

<footer>Developed by <a href="http://www.edarco.net" target="_blank">edarco</a></footer>
</div>
<?php
}

?>